Package com.sas.services.information.search

# Class PublicTypeFilter

java.lang.Object
com.sas.services.information.search.PublicTypeFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class PublicTypeFilter extends Object implements SearchFilter, Serializable
PublicTypeFilter

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `_includeSubTypes`
  `protected ServerInterface`
  `_server`
  `protected List<String>`
  `_supportedTypes`
  `protected static final String`
  `PUBLIC_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublicTypeFilter(List<String> types)`
  Constructs a new filter given the list of public types to search for.
  `PublicTypeFilter(List<String> types, boolean includeSubTypes)`
  Constructs a new filter given the list of public types to search for.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria
  `String`
  `getFilterDescription()`
  Returns the description of this filter.
  `String`
  `getFilterType()`
  Returns the localized name of this filter.
  `List<String>`
  `getTypes()`
  Returns the public types included in theis filter.
  `boolean`
  `isIncludeSubTypes()`
  Returns true if subtypes are being included during the search.
  `void`
  `setServer(ServerInterface server)`
  Sets the server instance used to create this filter.
  `void`
  `setTypes(List<String> types)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PUBLIC_TYPE

    protected static final String PUBLIC_TYPE
    See Also:
      - Constant Field Values

  - ### _supportedTypes

    protected List<String> _supportedTypes

  - ### _server

    protected ServerInterface _server

  - ### _includeSubTypes

    protected boolean _includeSubTypes

- ## Constructor Details

  - ### PublicTypeFilter

    public PublicTypeFilter(List<String> types)
    Constructs a new filter given the list of public types to search for.
    Parameters:
      `types` - array of public types to search for. A null value can be specified if the filter is searching for all public types.

  - ### PublicTypeFilter

    public PublicTypeFilter(List<String> types, boolean includeSubTypes)
    Constructs a new filter given the list of public types to search for.
    Parameters:
      `types` - array of public types to search for. A null value can be specified if the filter is searching for all public types.
      `includeSubTypes` - specifies whether or not a type's subtypes should be included. By default, subtypes are excluded, meaning if a search is performed on the type "Report", none of its subtypes (including Report.Image, Report.Component, etc.) will be searched.

- ## Method Details

  - ### setServer

    public void setServer(ServerInterface server)
    Sets the server instance used to create this filter. The server is needed in order to determine the TypeDescriptor for each supported type.
    Parameters:
      `server` -

  - ### getTypes

    public List<String> getTypes()
    Returns the public types included in theis filter. A null value can be returned if the filter is searching for all public types.
    Returns:
      public type values

  - ### setTypes

    public void setTypes(List<String> types)

  - ### isIncludeSubTypes

    public boolean isIncludeSubTypes()
    Returns true if subtypes are being included during the search.
    Returns:
      true if including subtypes, false otherwise.

  - ### getFilterType

    public String getFilterType()
    Description copied from interface: `SearchFilter`
    Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.
    Specified by:
      `getFilterType` in interface `SearchFilter`
    Returns:
      filter type

  - ### getFilterDescription

    public String getFilterDescription()
    Description copied from interface: `SearchFilter`
    Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.
    Specified by:
      `getFilterDescription` in interface `SearchFilter`
    Returns:
      the filter description

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`